Subject: Re: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: Juri Linkov <[email-masked]>
Date: Wed, 10 Apr 2024 20:35:20 +0300

>> Because 'find-alternate-file' renames
>> the buffer with (rename-buffer " **lose**") before killing it.
>> So 'kill-buffer' remembers the last buffer name " **lose**".
>
> But that's correct and reflects what the doc-string says.  The problem
> must be elsewhere.  Basically, it seems to me that when we have a live
> buffer whose name is " **lose**" and a killed buffer with the same last
> name (or maybe two or more killed buffers with the same last name) we
> have a conflict that we have to resolve somehow.  Right?  I don't
> understand why we can't "prefer" the live buffer to the dead buffer
> here.  For dead buffers, the problem might be that of finding the right
> one, in particular when they have different file names.

What is worse is that 'find-alternate-file' also resets
'buffer-file-name' to nil before killing the " **lose**" buffer.
So even can't use a file name.